package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 自评等级
 */
public enum SelfLevelEnum {
    红旗窗(1, "红旗窗"),
    黑旗窗(2, "黑旗窗");
    private Integer value;
    private String desc;

    SelfLevelEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SelfLevelEnum getByValue(Integer value) {
        for (SelfLevelEnum SelfLevelEnum : SelfLevelEnum.values()) {
            if (SelfLevelEnum.getValue() == value) {
                return SelfLevelEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SelfLevelEnum item : SelfLevelEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
